const spaceBetweenAlignmentMap = {
  vertical: {
    topLeft: 'left',
    topCenter: 'center',
    topRight: 'right',
    bottomLeft: 'left',
    bottomCenter: 'center',
    bottomRight: 'right'
  },
  horizontal: {
    topLeft: 'topCenter',
    topRight: 'topCenter',
    left: 'center',
    right: 'center',
    bottomLeft: 'bottomCenter',
    bottomRight: 'bottomCenter'
  }
};
const normalizeAlign = function normalizeAlign({
  align,
  gap,
  direction
}) {
  if (align === 'baseline') {
    return align;
  }
  if (gap !== 'space-between') {
    return align;
  }
  return spaceBetweenAlignmentMap[direction][align] || align;
};
export default normalizeAlign;